# Created by pyp2rpm-1.0.1
%global pypi_name pelican
%{!?__python2:%global __python2 %{__python}}
Name:           python-%{pypi_name}
Version:        3.3.0
Release:        5%{?dist}
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files

License:        AGPLv3
URL:            http://getpelican.com/
Source0:        https://github.com/getpelican/pelican/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

# fix test issues
Patch0:         python-pelican-test-fixes.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-blinker
BuildRequires:  python-unidecode

BuildRequires:  python-mock
BuildRequires:  python-markdown
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-lxml
BuildRequires:  python-six
BuildRequires:  pytz
BuildRequires:  python-unidecode
BuildRequires:  python-jinja2
BuildRequires:  python-django

Requires:  python-blinker
Requires:  python-six
Requires:  python-unidecode
Requires:  python-jinja2
Requires:  pytz
Requires:  python-pygments
Requires:  python-docutils
Requires:  python-django
Requires:  python-markdown


%description
Pelican is a static site generator, written in Python_.

* Write your weblog entries directly with your editor of choice (vim!)
  in reStructuredText_ or Markdown_
* Includes a simple CLI tool to ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p0

# make file not zero length to silence rpmlint
echo " " > pelican/themes/simple/templates/tag.html

# remove bagpath #!/usr/bin/env from files
sed -i '1d' pelican/tools/pelican_import.py
sed -i '1d' pelican/tools/pelican_quickstart.py
sed -i '1d' pelican/tools/pelican_themes.py
sed -i '1d' pelican/tools/templates/pelicanconf.py.in

# substitute feedgenerator with it's original django
sed -i 's|feedgenerator|django.utils.feedgenerator|' pelican/writers.py
sed -i "s|'feedgenerator >= 1.6', ||" setup.py


%build
%{__python2} setup.py build

# build docs
sphinx-build docs html

# remove leftovers from sphinxbuild
rm html/_downloads/theme-basic.zip html/_static/theme-basic.zip
rm -rf html/.doctrees html/.buildinfo


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} -m unittest discover

%files
%doc html README.rst LICENSE
%{_bindir}/pelican
%{_bindir}/pelican-import
%{_bindir}/pelican-quickstart
%{_bindir}/pelican-themes
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-*-py?.?.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 21 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.3.0-4
- add Requires: python-markdown

* Wed Feb 05 2014 Matthias Rugne <mrunge@redhat.com> - 3.3.0-3
- use __python2 instead of __python
- use a tarball from github, as it significantly differs from pypi
- add tests
- build docs


* Sat Jan 25 2014 Matthias Runge <mrunge@redhat.com> - 3.3-1
- Initial package.
